publish:
  stage: deploy
  image: docker:latest
  services:
  - docker:dind
  tags:
    - docker
  variables:
    GIT_SUBMODULE_STRATEGY: normal
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker build -t $CI_REGISTRY_IMAGE:latest .
    - docker push $CI_REGISTRY_IMAGE:latest
